Skip to main content
`Ctrl`+`K`

# VecCreateSeqKokkos

Creates a standard, sequential array-style vector.

## Synopsis

    PetscErrorCode VecCreateSeqKokkos(MPI_Comm comm, PetscInt n, Vec *v)

Collective

## Input Parameters

- comm - the communicator, should be `PETSC_COMM_SELF`

- n - the vector length

## Output Parameter

- v - the vector

## Notes

Use VecDuplicate() or VecDuplicateVecs() to form additional vectors of the same type as an existing vector.

## See Also

`VecCreateMPI()`, `VecCreate()`, `VecDuplicate()`, `VecDuplicateVecs()`, `VecCreateGhost()`

## Level

intermediate

## Location

src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages